package cn.com.qmth.examcloud.core.questions.service;

import cn.com.qmth.examcloud.core.questions.dao.entity.Paper;
import cn.com.qmth.examcloud.core.questions.service.themispaper.ThemisPaper;
import cn.com.qmth.examcloud.core.questions.service.themispaper.ThemisPaperAndAnswer;

public interface ExportThemisPaperService {

	ThemisPaperAndAnswer buildPaperAndAnswer(Paper paper);

	void makePaperAnswerToJsonFile(ThemisPaperAndAnswer pa, String jsonDirectoryPath);

	void downloadAudio(ThemisPaper pa, String paperDirectory);

}